gdcm::SimpleSubjectWatcher Class Reference

SimpleSubjectWatcher. More...

`#include <gdcmSimpleSubjectWatcher.h>`

## Public Member Functions

| SimpleSubjectWatcher (const SimpleSubjectWatcher &)=delete
| SimpleSubjectWatcher (Subject *s, const char *comment="")
virtual | ~SimpleSubjectWatcher ()
void | operator= (const SimpleSubjectWatcher &)=delete

## Protected Member Functions

virtual void | EndFilter ()
virtual void | ShowAbort ()
virtual void | ShowAnonymization (Subject *caller, const Event &evt)
virtual void | ShowData (Subject *caller, const Event &evt)
virtual void | ShowDataSet (Subject *caller, const Event &evt)
virtual void | ShowFileName (Subject *caller, const Event &evt)
virtual void | ShowIteration ()
virtual void | ShowProgress (Subject *caller, const Event &evt)
virtual void | StartFilter ()
void | TestAbortOff ()
void | TestAbortOn ()

## Detailed Description

SimpleSubjectWatcher.

This is a typical Subject Watcher class. It will observe all events.

Examples
  BasicAnonymizer.cs, CStoreQtProgress.cxx, Cleaner.cs, ClinicalTrialIdentificationWorkflow.cs, FileChangeTS.cs, FileChangeTSLossy.cs, ScanDirectory.cs, and SimpleScanner.cxx.

## Constructor & Destructor Documentation

## SimpleSubjectWatcher() [1/2]

gdcm::SimpleSubjectWatcher::SimpleSubjectWatcher | ( | Subject * | s,
|  | const char * | comment = "" )

Referenced by SimpleSubjectWatcher(), and operator=().

## ~SimpleSubjectWatcher()

virtual gdcm::SimpleSubjectWatcher::~SimpleSubjectWatcher | ( |  | ) |

virtual

## SimpleSubjectWatcher() [2/2]

gdcm::SimpleSubjectWatcher::SimpleSubjectWatcher | ( | const SimpleSubjectWatcher & |  | ) |

delete

References SimpleSubjectWatcher().

## Member Function Documentation

## EndFilter()

virtual void gdcm::SimpleSubjectWatcher::EndFilter | ( |  | ) |

protected virtual

## operator=()

void gdcm::SimpleSubjectWatcher::operator= | ( | const SimpleSubjectWatcher & |  | ) |

delete

References SimpleSubjectWatcher().

## ShowAbort()

virtual void gdcm::SimpleSubjectWatcher::ShowAbort | ( |  | ) |

protected virtual

## ShowAnonymization()

virtual void gdcm::SimpleSubjectWatcher::ShowAnonymization | ( | Subject * | caller,
|  | const Event & | evt )

protected virtual

## ShowData()

virtual void gdcm::SimpleSubjectWatcher::ShowData | ( | Subject * | caller,
|  | const Event & | evt )

protected virtual

## ShowDataSet()

virtual void gdcm::SimpleSubjectWatcher::ShowDataSet | ( | Subject * | caller,
|  | const Event & | evt )

protected virtual

## ShowFileName()

virtual void gdcm::SimpleSubjectWatcher::ShowFileName | ( | Subject * | caller,
|  | const Event & | evt )

protected virtual

Examples
  SimpleScanner.cxx.

## ShowIteration()

virtual void gdcm::SimpleSubjectWatcher::ShowIteration | ( |  | ) |

protected virtual

## ShowProgress()

virtual void gdcm::SimpleSubjectWatcher::ShowProgress | ( | Subject * | caller,
|  | const Event & | evt )

protected virtual

## StartFilter()

virtual void gdcm::SimpleSubjectWatcher::StartFilter | ( |  | ) |

protected virtual

## TestAbortOff()

void gdcm::SimpleSubjectWatcher::TestAbortOff | ( |  | ) |

protected

## TestAbortOn()

void gdcm::SimpleSubjectWatcher::TestAbortOn | ( |  | ) |

protected

The documentation for this class was generated from the following file:

- gdcmSimpleSubjectWatcher.h